XIMAGING(1)

NAME
ximaging - raster graphics browser/viewer.

SYNOPSIS
ximaging [options] [directory|file]

DESCRIPTION

XImaging is a graphics image browser and viewer for Unix operating systems running X11.

  Options

In addition to standard X toolkit options, following can be specified on the command line:

-browse
    Open a browser rather than a viewer window when the application is launched without a file/directory argument.

-format <suffix>
    Deduce image file format from the suffix specified (see SUPPORTED FILE FORMATS and FILTERS).

-f <suffix>
    Same as -format.

-pin
    Pin newly opened window so it won't be reused.

-server
    Launch in the background and wait for IPC requests. (first instance in a session launches as a server by default).

-quiet
    Don't write anything to stdout.

  Operands

directory
    Directory containing images to browse.

file
    Single image file name to be displayed.

GUI USAGE

Browser
    The Browser window displays miniature previews of images contained within a directory. The navigation bar displays the current location and may be used to input a desired path directly.

    Items displayed in the view area can be selected and manipulated using either keyboard or mouse. MB1 click selects an item. The selection may be extended to another item by holding the Shift key, while clicking another item using MB1. Selection state of a single item may be toggled by clicking on it using MB1, while holding down the Control key. MB2 behaves the same way as MB1, except that it displays a pop-up menu with commonly used functions. Double- clicking an image with MB1 opens the file in the Viewer. Double-clicking the file name with MB1 posts the Rename dialog. Double-clicking an image, or pressing enter when the view area is focused, will display the selected file in a Viewer window.

    Navigation keys may be used to move the focus rectangle among the items. Pressing the Space key toggles the selection state of the focused item. Holding theShift key while moving the selection rectangle extends the selection.

    Pressing the Backspace key, while the view area or the directory list is focused, changes current location to the parent directory.

Viewer
    The Viewer window is used to display single images, and provides functionality to zoom in and out, rotate, flip the image, and display multi-page images. Note that transformations applied to the image within the viewer are only temporary, since XImaging doesn't provide destructive image editing capabilities. The image, if larger than the view, may be panned either by holding MB1 pressed and dragging the image, or by pushing one of the direction keys on the keyboard.

Window Management
    By default the last active browser or viewer window is reused when XImaging receives a file/directory open request, but every window can be configured to stay within its current state by choosing Pin This from its Window menu. The initial value for this setting may also be specified as X resource (see RESOURCES) or using the -pin command line switch.

RESOURCES

  General Resources
The the application class name is XImaging, class names of its viewer and browser shell windows are XImagingViewer and XImagingBrowser, respectively.

advanceOnDelete Boolean
    If True, the viewer will load next file in the directory, when currently displayed file is being deleted. Default is True.

browse Boolean
    Open a browser window rather than a viewer window when the application is launched without a file/directory argument. Default is False.

confirmFileRemoval Boolean
    Ask before deleting files. Default is True.

downsamplingFilter Boolean
    Apply filtering when down-sampling (zooming out) images in the viewer window. Results in better image quality if enabled, but is computationally intensive, especially on large images. The default value is True. NOTE: This option is only supported on true color visuals. See also fastPanning.

editCommand String
    A command to be invoked when the Edit item is chosen from the File menu. The list of currently selected files will be appended to the end of the command string specified.

fastPanning Boolean
    If set to True, up/down-sampling filter in the viewer will be temporarily disabled when the image is being panned using the mouse. Only effective if downsamplingFilter and/or upsamplingFilter resources are set to True. Default value is False.

keyPanAmount Integer
    Amount of pixels by which the image in the Viewer is moved per key press.

largeCursors Boolean
    Use large cursors. Default is False.

largeToolbarIcons Boolean
    Use large icons in toolbar buttons. Default is False. See also: viewerToolbar resource.

lockRotation Boolean
    Keep rotation settings across images. Default is False.

pinWindow Boolean
    Pin newly opened windows by default so that it won't be reused. Default is False.

quiet Boolean
    Don't write anything to stdout. Default is False.

refreshInterval Integer
    Time interval in seconds at which XImaging checks for file and directory content changes. Default is 4 seconds.

showDirectories Boolean
    Display sub-directories in a separate pane in the browser window. Default is True.

showDotFiles Boolean
    Display files whose names are starting with a dot. Default is True.

tileAspectRatio Integer:Integer
    Aspect ratio of preview tiles in browser window. Default is 4:3.

tileSize small|medium|large
    Default size of preview tiles in browser window. Must be either "small", "medium", or "large". NOTE: Actual pixel values for these mnemonics are obtained from tileSizeList and tileAspectRatio resources.

tileSizeList Integer, Integer, Integer
    Comma separated list of three (small, medium, large) tile size values in pixels. The final size is calculated using the aspect ratio specified with the tileAspectRatio resource.

upsamplingFilter Boolean
    Apply filtering when up-sampling (zooming in) images in the viewer window. Results in a smooth transition between zoomed-in pixels. Default value is False. NOTE: This option is only supported on true color visuals.

viewerToolbar Boolean
    If set to True, a toolbar containing some of the most frequently used commands will be shown in the viewer window. The default value is False.

visualProgress Boolean
    Display the image in the viewer window as it is being loaded. Default is True.

zoomFit Boolean
    Shrink the image to fit the viewer window. Default is True.

zoomIncrement <1.1 - 4.0>
    Specifies the increment value for the zoom-in/out function. Must be in the 1.1 - 4.0 range. Default is 1.6.

  Path Field Widget Resources
The path field widget consists of a text field that displays the current working directory with an array of push buttons, each representing an element of the path, above.

The class name of the widget is PathField, the widget name pathField. Aside from resources described below, the widget inherits resources from XmManager(3).

buttonHeight Integer
    A value in percent that sets the vertical size of path element buttons relative to the height of the font used to draw text in the widget. Default is 100.

compactPath Boolean
    If True, the $HOME part of the path will be represented by a tilde. Default is true.

SUPPORTED FILE FORMATS

JPEG Image (jpg, jpeg, jpe, jif, jfif, jfi)
MS-Windows Bitmap - BMP V3+, uncompressed only (bmp)
Netpbm - Portable Any Map, Type 4 to 7 (pbm, pgm, ppm, pam)
PC-Paintbrush V5 (pcx)
Portable Network Graphics (png)
Silicon Graphics Image (sgi, rgb, rgba, int, inta, bw)
Sun Microsystems Raster Image (ras, sun)
Tagged Image File (tif, tiff)
Truevision (tga, tpic)
X/CDE Bitmap (xbm, bm)
X/CDE Pixmap (xpm, pm) - XMP3 only

Support for additional image types is available through filters.

FILTERS

A filter is an executable program that can read a particular image format and write its contents to the stdout in PNM (Netpbm) format, which XImaging will then read and display.

To use a filter, XImaging needs to know the executable's file name, and what image name suffixes it should be invoked for. This is defined by two mandatory and one optional Xresource records.

XImaging.filter.<filter_name>: <executable_file_name>
XImaging.filter.<filter_name>.suffixes: <list_of_suffixes>
XImaging.filter.<filter_name>.description: <type_description>

filter_name may be any string adhering to X resource specification.

executable_file_name specifies the file name of the filter executable and its arguments, in which the placeholder %n is expanded to the image file name.

list_of_suffixes should contain one or more, space separated, file name suffixes (without the dot character) this filter should be invoked for.

type_description is optional and specifies the descriptive text to be displayed in viewer's status area, which defaults to PNM data type if omitted.

Filter examples using convert (ImageMagick) and xcf2pmn (xcftools):

XImaging.filter.imagemagick: convert %n pam:-
XImaging.filter.imagemagick.suffixes: svg gif psd
XImaging.filter.gimp: xcf2pnm -c -b #ffffff %n
XImaging.filter.gimp.suffixes: xcf
XImaging.filter.gimp.description: GIMP Image

AUTHORS

XImaging was written and is maintained by alx@fastestcode.org

CAVEATS

XImaging doesn't provide file format conversion features. There are tools - e.g., ImageMagick (http://www.imagemagick.org) - designed for this purpose.